﻿using PCC.App;
using PCC.App.Configuration;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;

namespace PCC.DevClient;

internal class DevClientPccConfigManager : PccConfigManagerBase;
internal class DevClientEventBus(ILogger<DevClientEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevClientTpm(IEventBus eventBus, ILogger<DevClientTpm> tpm) : TrustedPeerManager(eventBus, tpm), IAssemblyInjectSingleton<TrustedPeerManager>;