﻿using PCC.App;
using PCC.App.Configuration;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;

namespace PCC.DevServer;

internal class DevServerPccConfigManager : PccConfigManagerBase;
internal class DevServerEventBus(ILogger<DevServerEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevServerTpm(IEventBus eventBus, ILogger<DevServerTpm> tpm) : TrustedPeerManager(eventBus, tpm), IAssemblyInjectSingleton<TrustedPeerManager>;